Mailinglist Archive: opensuse-updates (57 mails)

< Previous Next >
openSUSE-RU-2010:0357-1 (low): python: This update fixes problems caused by using "osc build"
  • From: maintenance@xxxxxxxxxxxx
  • Date: Tue, 6 Jul 2010 18:08:12 +0200 (CEST)
  • Message-id: <20100706160812.31791BE26@xxxxxxxxxxxxxx>
openSUSE Recommended Update: python: This update fixes problems caused by
using "osc build"
______________________________________________________________________________

Announcement ID: openSUSE-RU-2010:0357-1
Rating: low
References: #612305
Affected Products:
openSUSE 11.2
______________________________________________________________________________

An update that has one recommended fix can now be installed.

Description:

Some calls in python's subprocess module were not properly
guarded against interruptions, resulting in exceptions when
using "osc build". This update adds the necessary guards.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.2:

zypper in -t patch libpython2_6-1_0-2565

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.2 (i586 src x86_64):

python-2.6.2-6.5.1
python-base-2.6.2-6.5.1

- openSUSE 11.2 (i586 x86_64):

libpython2_6-1_0-2.6.2-6.5.1
python-curses-2.6.2-6.5.1
python-demo-2.6.2-6.5.1
python-devel-2.6.2-6.5.1
python-gdbm-2.6.2-6.5.1
python-idle-2.6.2-6.5.1
python-tk-2.6.2-6.5.1
python-xml-2.6.2-6.5.1

- openSUSE 11.2 (x86_64):

libpython2_6-1_0-32bit-2.6.2-6.5.1
python-32bit-2.6.2-6.5.1
python-base-32bit-2.6.2-6.5.1


References:

https://bugzilla.novell.com/612305


< Previous Next >
This Thread
  • No further messages